flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From rmetzger <...@git.apache.org>
Subject [GitHub] flink pull request: [FLINK-1219] Add support for Apache Tez as exe...
Date Tue, 10 Mar 2015 10:08:05 GMT
Github user rmetzger commented on the pull request:

    https://github.com/apache/flink/pull/189#issuecomment-78025522
  
    The documentation is very well written.
    
    I've tried the pull request on a Hortonworks Sandbox with HDP 2.2.
    
    They have Tez 0.5.2.2.2.0.0 installed there. The mvn command to build Tez for this environment
is:
    ```
    mvn install -DskipTests -Pinclude-tez -Dhadoop.version=2.6.0 -Dtez.version=0.5.2.2.2.0.0-2041
-Pvendor-repos
    ```
    
    To change the tez version, I made the following changes to the pom:
    ```diff
    diff --git a/flink-staging/flink-tez/pom.xml b/flink-staging/flink-tez/pom.xml
    index e84f731..147dd32 100644
    --- a/flink-staging/flink-tez/pom.xml
    +++ b/flink-staging/flink-tez/pom.xml
    @@ -34,6 +34,9 @@ under the License.
         <name>flink-tez</name>
     
         <packaging>jar</packaging>
    +    <properties>
    +       <tez.version>0.6.0</tez.version>
    +    </properties>
     
         <dependencies>
             <dependency>
    @@ -81,25 +84,25 @@ under the License.
             <dependency>
                 <groupId>org.apache.tez</groupId>
                 <artifactId>tez-api</artifactId>
    -            <version>0.6.0</version>
    +            <version>${tez.version}</version>
             </dependency>
     
             <dependency>
                 <groupId>org.apache.tez</groupId>
                 <artifactId>tez-common</artifactId>
    -            <version>0.6.0</version>
    +            <version>${tez.version}</version>
             </dependency>
     
             <dependency>
                 <groupId>org.apache.tez</groupId>
                 <artifactId>tez-dag</artifactId>
    -            <version>0.6.0</version>
    +            <version>${tez.version}</version>
             </dependency>
     
             <dependency>
                 <groupId>org.apache.tez</groupId>
                 <artifactId>tez-runtime-library</artifactId>
    -            <version>0.6.0</version>
    +            <version>${tez.version}</version>
             </dependency>
     
             <dependency>
    ```
    
    Once these issues have been resolved, I'd say the change is +1 to merge.


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message